// 
//  dseq.h
//  mivip
//  
//  Created by Maarten Everts.
// 

#ifndef DSEQ_H_S955AYNU
#define DSEQ_H_S955AYNU

typedef struct {
    int size;
    int capacity;
    int itemSize;
    void *items;
} DSeq;

DSeq *DSeq_new(void);
void DSeq_init(DSeq *self, int itemSize);
void DSeq_initWithCapacity(DSeq *self, int itemSize, int capacity);
void DSeq_free(DSeq *self);
void *DSeq_addItem(DSeq *self);

#define DSeq_getItem(self,i) ((self)->items+((self)->itemSize)*(i))

#endif /* end of include guard: DSEQ_H_S955AYNU */
